Subject: [Spridgets] Datsun drain plug

From: "Bill L. via Spridgets" <[email-masked]>
Date: Fri, 7 Jun 2019 11:51:16 -0700

Hello Mike,

      Fill hole is easy enough, BUT.. I couldn't get enough leverage
      to loosen the plug. It's aluminum on aluminum and felt galled.
      It wasn't but I had to take it to a shop, have them put it on
      lift and they used a 3' cheater on a wrench to budge it. I was
      afraid they would destroy something, but it all worked out.
      You'll want some sort of pump for the gear lube to get it go up. 

> For those of you with Datsun transmission conversions, can the
> transmission be refilled through the gear shift lever entrance?  I
> want to replace the oil in my trans with Redline MT 90.  The drain
> plug is easy enough, but can the fill hole on the side be accessed easily?
> Mike MacLean 

-- 
Best regards,
 Bill                            mailto:[email-masked]

------------------------

[email-masked]

Archive: http://www.team.net/pipermail/spridgets  http://autox.team.net/archive